ranges::prev_fn Struct Reference
Iterator

## Public Member Functions

template<typename I >
CPP_TEMPLATE_AUX_0 | c (requires bidirectional_iterator< I >) ccconstexpr I operator()(I it
template<typename I >
CPP_TEMPLATE_AUX_0 | c (requires bidirectional_iterator< I >) ccconstexpr I operator()(I it
template<typename I >
CPP_TEMPLATE_AUX_0 | c (requires bidirectional_iterator< I >) ccconstexpr I operator()(I it) const

## Public Attributes

CPP_TEMPLATE_AUX_0 iter_difference_t< I > n | const
CPP_TEMPLATE_AUX_0 iter_difference_t< I > I bound | const
return | it
CPP_TEMPLATE_AUX_0 iter_difference_t< I > | n

## Member Data Documentation

## const [1/2]

CPP_TEMPLATE_AUX_0 iter_difference_t<I> n ranges::prev_fn::const

Initial value:
{
advance(it, -n)
ranges::advance
constexpr advance_fn advance
Definition: operations.hpp:198

## const [2/2]

CPP_TEMPLATE_AUX_0 iter_difference_t<I> I bound ranges::prev_fn::const

Initial value:
{
advance(it, -n, static_cast<I &&>(bound))
ranges::I
CPP_TEMPLATE_AUX_0 I(requires bidirectional_iterator< I > &&sortable< I, C, P >) III inplace_merge(I first
function template inplace_merge